org.modeshape.jcr.query

## Interface QueryResults.Columns

- All Superinterfaces:
    Iterable<Column>, Serializable
  All Known Implementing Classes:
    ScanningQueryEngine.ResultColumns
  Enclosing interface:
    QueryResults

      @Immutable
      public static interface QueryResults.Columns
      extends Serializable, Iterable<Column>

  Definition of the columns that are available in the results.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getColumnNames()` Get the names of the columns.
    `List<? extends Column>` | `getColumns()` Get the columns.
    `String` | `getColumnTypeForProperty(String selectorName, String propertyName)` Get the type of the column given the name of the selector and the property name from where the column should be obtained.
    `List<String>` | `getColumnTypes()` Get the type name for each column.
    `String` | `getPropertyNameForColumnName(String columnName)` Get the name of the property that corresponds to the named column in each tuple.
    `int` | `getSelectorIndex(String selectorName)` Get the index of the nodes for this selector in each of the `node sequence batches`.
    `String` | `getSelectorNameForColumnName(String columnName)` Get the name of the selector that produced the column with the given name.
    `List<String>` | `getSelectorNames()` Get the names of the selectors that are associated with these results.
    `boolean` | `hasFullTextSearchScores()` Determine whether these results include full-text search scores.
    `boolean` | `isUnionCompatible(QueryResults.Columns other)` Determine whether this column and the other are union-compatible (that is, having the same columns).
    `QueryResults.Columns` | `with(QueryResults.Columns other)` Return a new Columns that is a superset combination of both this Columns and the supplied Columns.

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### getColumns

          List<? extends Column> getColumns()

      Get the columns.
      Returns:
        the immutable list of columns; never null

    - #### getColumnNames

          List<String> getColumnNames()

      Get the names of the columns.
      Returns:
        the immutable list of column names, with size equal to the number of `columns`; never null

    - #### getColumnTypes

          List<String> getColumnTypes()

      Get the type name for each column.
      Returns:
        the immutable list of type names, with size equal to the number of `columns`; never null

    - #### getColumnTypeForProperty

          String getColumnTypeForProperty(String selectorName,
                                        String propertyName)

      Get the type of the column given the name of the selector and the property name from where the column should be obtained.
      Parameters:
        `selectorName` - the selector name
        `propertyName` - the name of the property
      Returns:
        the type for the named column
      Throws:
        `NoSuchElementException` - if the selector name or the property name are invalid

    - #### getSelectorIndex

          int getSelectorIndex(String selectorName)

      Get the index of the nodes for this selector in each of the `node sequence batches`.
      Parameters:
        `selectorName` - the selector name
      Returns:
        the index of the node for the named selector, or negative if the selector is not known

    - #### getSelectorNames

          List<String> getSelectorNames()

      Get the names of the selectors that are associated with these results.
      Returns:
        the immutable list of selector names; never null

    - #### getPropertyNameForColumnName

          String getPropertyNameForColumnName(String columnName)

      Get the name of the property that corresponds to the named column in each tuple.
      Parameters:
        `columnName` - the column name
      Returns:
        the property name, or the supplied column name if there is no property for it

    - #### getSelectorNameForColumnName

          String getSelectorNameForColumnName(String columnName)

      Get the name of the selector that produced the column with the given name.
      Parameters:
        `columnName` - the column name
      Returns:
        the selector name
      Throws:
        `NoSuchElementException` - if the column name is invalid or doesn't match an existing column

    - #### hasFullTextSearchScores

          boolean hasFullTextSearchScores()

      Determine whether these results include full-text search scores.
      Returns:
        true if the full-text search scores are included in the results, or false otherwise

    - #### isUnionCompatible

          boolean isUnionCompatible(QueryResults.Columns other)

      Determine whether this column and the other are union-compatible (that is, having the same columns).
      Parameters:
        `other` - the other mapping; may not be null
      Returns:
        true if this and the supplied columns definition are union-compatible, or false if they are not

    - #### with

          QueryResults.Columns with(QueryResults.Columns other)

      Return a new Columns that is a superset combination of both this Columns and the supplied Columns.
      Parameters:
        `other` - the other columns; may not be null
      Returns:
        a new Columns instance that is a superset of `this` and `other`; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.